%global debug_package %{nil}
# Global variables for github repository
%global commit0 74444f8eeda44d894a814db6db837c239189c7d1
%global gittag0 B5
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global commit1 7f0c122d319bd8e15fd2be1703a524f1f1f5fe31
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})
%global commit2 8d8b47454e29586a1a3e3668aadd942cb5b0cfc0
%global shortcommit2 %(c=%{commit2}; echo ${c:0:7})
%global commit3 83f729b09313749a56948604c4bc13492ac47e00
%global shortcommit3 %(c=%{commit3}; echo ${c:0:7})
%global commit4 64aab8480a5643cec1880af17931963a90a8f990
%global shortcommit4 %(c=%{commit4}; echo ${c:0:7})


Name: looking-glass-client
Version: B5
Release: 1%{?dist}
Summary: VGA PCI Pass-through receiver leveraging IVSHMEM

License: GPL-2.0
URL: https://looking-glass.io/
Source0: https://github.com/gnif/LookingGlass/archive/%{commit0}.tar.gz#/LookingGlass-%{commit0}.tar.gz
Source1: https://github.com/gnif/LGMP/archive/%{commit1}.tar.gz
Source2: https://github.com/gnif/PureSpice/archive/%{commit2}.tar.gz
Source3: https://github.com/cimgui/cimgui/archive/%{commit3}.tar.gz
Source4: https://github.com/ocornut/imgui/archive/%{commit4}.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: cmake
BuildRequires: g++
BuildRequires: binutils-devel
BuildRequires: SDL2-devel
BuildRequires: SDL2_ttf-devel
BuildRequires: nettle-devel
BuildRequires: spice-protocol
BuildRequires: fontconfig-devel
BuildRequires: libX11-devel
BuildRequires: egl-wayland-devel
BuildRequires: wayland-devel
BuildRequires: wayland-protocols-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: mesa-libGLES-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libEGL-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libxkbcommon-devel

%description
VGA PCI Pass-through receiver leveraging IVSHMEM

%prep
%setup -n LookingGlass-%{commit0} -a1 -a2 -a3 -a4
rm -rf repos/{LGMP,PureSpice,cimgui}
mv LGMP-%{commit1} repos/LGMP
mv PureSpice-%{commit2} repos/PureSpice
mv cimgui-%{commit3} repos/cimgui
rm -rf repos/cimgui/imgui
mv imgui-%{commit4} repos/cimgui/imgui



%build
mkdir -p client/build
cd client/build
cmake -DENABLE_X11=no ../
make

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 client/build/%{name} %{buildroot}/%{_bindir}/

%files
%{_bindir}/%{name}
%license

%changelog
* Sun Dec 26 2021 dd    - B5
- Update to latest version

* Sat Aug 06 2021 dd	- B4
- Update to latest version

* Sat Apr 17 2021 Drew DeVore <drew@devorcula.com> - B3
- Update to latest version

* Sat Nov 14 2020 Drew DeVore <drew@devorcula.com> - B2
- Initial build
